/** Icons are imported separatly to reduce build time */
import BellIcon from '@heroicons/react/24/outline/BellIcon'
import DocumentTextIcon from '@heroicons/react/24/outline/DocumentTextIcon'
import Squares2X2Icon from '@heroicons/react/24/outline/Squares2X2Icon'
import TableCellsIcon from '@heroicons/react/24/outline/TableCellsIcon'
import WalletIcon from '@heroicons/react/24/outline/WalletIcon'
import CodeBracketSquareIcon from '@heroicons/react/24/outline/CodeBracketSquareIcon'
import DocumentIcon from '@heroicons/react/24/outline/DocumentIcon'
import ExclamationTriangleIcon from '@heroicons/react/24/outline/ExclamationTriangleIcon'
import CalendarDaysIcon from '@heroicons/react/24/outline/CalendarDaysIcon'
import ArrowRightOnRectangleIcon from '@heroicons/react/24/outline/ArrowRightOnRectangleIcon'
import UserIcon from '@heroicons/react/24/outline/UserIcon'
import Cog6ToothIcon from '@heroicons/react/24/outline/Cog6ToothIcon'
import BoltIcon from '@heroicons/react/24/outline/BoltIcon'
import ChartBarIcon from '@heroicons/react/24/outline/ChartBarIcon'
import CurrencyDollarIcon from '@heroicons/react/24/outline/CurrencyDollarIcon'
import InboxArrowDownIcon from '@heroicons/react/24/outline/InboxArrowDownIcon'
import UsersIcon from '@heroicons/react/24/outline/UsersIcon'
import KeyIcon from '@heroicons/react/24/outline/KeyIcon'
import DocumentDuplicateIcon from '@heroicons/react/24/outline/DocumentDuplicateIcon'
import { ArrowRightIcon } from '@heroicons/react/24/outline'

const iconClasses = `h-6 w-6`
const submenuIconClasses = `h-3 w-3`

const routes = [
    {
        path: '',
        icon: <Squares2X2Icon className={`${iconClasses} inline`} />,
        name: 'Home',
        submenu: [
            {
                path: '/dashboard',
                icon: <ArrowRightIcon className={submenuIconClasses} />,
                name: 'Dashboard'
            },
        ]
    },

    {
        path: '',
        icon: <UserIcon className={`${iconClasses} inline`} />,
        name: 'Data Master',
        submenu: [
            {
                path: '/data-santri',
                icon: <ArrowRightIcon className={submenuIconClasses} />,
                name: 'Data Santri'
            },
            {
                path: '/data-payment-type',
                icon: <ArrowRightIcon className={submenuIconClasses} />,
                name: 'Tipe Pembayaran'
            },
        ]

    },

    {
        path: '',
        icon: <CurrencyDollarIcon className={`${iconClasses} inline`} />,
        name: 'Data Pembayaran',
        submenu: [
            {
                path: '/index-manual-payment',
                icon: <ArrowRightIcon className={submenuIconClasses} />,
                name: 'Data Pembayaran'
            },
            {
                path: '/wallet-user',
                icon: <ArrowRightIcon className={submenuIconClasses} />,
                name: 'Wallet User'
            }
        ],
    },

]


export default routes


